package com.ruoyi.project.business.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.business.mapper.TpParabarDetailMapper;
import com.ruoyi.project.business.domain.TpParabarDetail;
import com.ruoyi.project.business.service.ITpParabarDetailService;

import javax.annotation.Resource;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-04-28
 */
@Service
public class TpParabarDetailServiceImpl implements ITpParabarDetailService 
{
    @Resource
    private TpParabarDetailMapper tpParabarDetailMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public TpParabarDetail selectTpParabarDetailById(Long id)
    {
        return tpParabarDetailMapper.selectTpParabarDetailById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tpParabarDetail 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<TpParabarDetail> selectTpParabarDetailList(TpParabarDetail tpParabarDetail)
    {
        return tpParabarDetailMapper.selectTpParabarDetailList(tpParabarDetail);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param tpParabarDetail 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertTpParabarDetail(TpParabarDetail tpParabarDetail)
    {
        tpParabarDetail.setCreateTime(DateUtils.getNowDate());
        return tpParabarDetailMapper.insertTpParabarDetail(tpParabarDetail);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param tpParabarDetail 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateTpParabarDetail(TpParabarDetail tpParabarDetail)
    {
        tpParabarDetail.setUpdateTime(DateUtils.getNowDate());
        return tpParabarDetailMapper.updateTpParabarDetail(tpParabarDetail);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTpParabarDetailByIds(Long[] ids)
    {
        return tpParabarDetailMapper.deleteTpParabarDetailByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTpParabarDetailById(Long id)
    {
        return tpParabarDetailMapper.deleteTpParabarDetailById(id);
    }
}
